Bitcoin Forum
December 18, 2017, 06:54:39 PM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Building bitcoind on Linux.  (Read 1341 times)
SanDocan88
Newbie
*
Offline Offline

Activity: 3


View Profile
February 19, 2014, 04:49:35 PM
 #1

I try to building bitcoind on Linux.
Do according https://forum.btcsec.com/index.php?/blog/1/entry-19-sborka-bitcoind-iz-iskhodnikov/. After installing dependencies begin building himself bitcoind. Build process stops after row :

g+ +-O2-pthread-Wall-Wextra-Wformat-Wformat-security-Wno-unused-parameter-g-DBOOST_SPIRIT_THREADSAFE-D_FILE_OFFSET_BITS = 64 -I/home/testuser/btc/bitcoin-0.8.6/src -I/home / testuser/btc/bitcoin-0.8.6/src/obj-DUSE_IPV6 = 1 -I/home/testuser/btc/bitcoin-0.8.6/src/leveldb/include -I/home/testuser/btc/bitcoin-0.8. 6/src/leveldb/helpers-DHAVE_BUILD_INFO-fno-stack-protector-fstack-protector-all-Wstack-protector-D_FORTIFY_SOURCE = 2 -o bitcoind leveldb / libleveldb.a obj / alert.o obj / version.o obj / checkpoints . o obj / netbase.o obj / addrman.o obj / crypter.o obj / key.o obj / db.o obj / init.o obj / keystore.o obj / main.o obj / net.o obj / protocol . o obj / bitcoinrpc.o obj / rpcdump.o obj / rpcnet.o obj / rpcmining.o obj / rpcwallet.o obj / rpcblockchain.o obj / rpcrawtransaction.o obj / script.o obj / sync.o obj / util . o obj / wallet.o obj / walletdb.o obj / hash.o obj / bloom.o obj / noui.o obj / leveldb.o obj / txdb.o-Wl,-z, relro-Wl,-z, now-Wl,-Bdynamic-l boost_system-l boost_filesystem-l boost_program_options-l boost_thread-l db_cxx-l ssl-l crypto-Wl,-Bdynamic-lz-l dl-l pthread / home/testuser/btc/bitcoin-0.8 .6/src/leveldb/libleveldb.a / home/testuser/btc/bitcoin-0.8.6/src/leveldb/libmemenv.a

As a system used for building
Linux 3.2.0- 4 -amd64 Debian 7.4. On Debian 6.0.9 and the same.
Who can faced .
Help please
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
davidpbrown
Sr. Member
****
Offline Offline

Activity: 420


Vires in Numeris


View Profile WWW
February 19, 2014, 08:17:40 PM
 #2

It's been a while since I installed the dependencies for Mint and working now to install on Raspberry Pi most are working ok with this:

sudo apt-get -y install checkinstall subversion git git-core build-essential libssl-dev libdb++-dev libminiupnpc-dev libboost-dev libboost-system-dev libboost-filesystem-dev libboost-program-options-dev libboost-thread-dev libcurl4-openssl-dev libfreetype6-dev libfontconfig-dev libxrender-dev libsm-dev libglib2.0-dev libxext-dev libxext6-dbg x11proto-xext-dev

but I wonder some alt coins also need these
sudo apt-get install libboost-all-dev libglibmm-2.4-dev libdb-dev libwxgtk2.8-dev


Try those and see if it doesn't work. Obviously you're trying
sudo make -f makefile.unix USE_UPNP=

I don't know on a 64bit system whether the call is difference but expect it's the same.


If instead what you really want is just the GUI bitcoin-qt, then that can be easier to build by putting the bitcoin-qt.pro file to QT-builder.

฿://1CBxm54Ah5hiYxiUtD7JGYRXykT5Z6ZuMc
davidpbrown
Sr. Member
****
Offline Offline

Activity: 420


Vires in Numeris


View Profile WWW
February 19, 2014, 08:23:49 PM
 #3

Incidentally, could you not just download from the link at top of this page => https://bitcoin.org/bin/0.8.6/ that has the bitcoind and qt //bitcoin-0.8.6-linux/bin/32/ and //bitcoin-0.8.6-linux/bin/64/

฿://1CBxm54Ah5hiYxiUtD7JGYRXykT5Z6ZuMc
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!